## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name qstylizer

Name:           python-%{pypi_name}
Version:        0.2.3
Release:        %autorelease
Summary:        Stylesheet generator for PyQt/PySide

%global forgeurl https://github.com/blambright/qstylizer
%global tag %{version}
%forgemeta

# SPDX
License:        MIT
URL:            %{forgeurl}
Source:         %{forgesource}

BuildArch:      noarch

BuildRequires:  python3-devel

#for tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-mock)

%global _description %{expand:
Python package designed to help with the construction of PyQt/PySide
stylesheets.}

%description
%_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
%_description


%prep
%forgeautosetup -p1

%generate_buildrequires
export PBR_VERSION=%{version}
%pyproject_buildrequires

%build
export PBR_VERSION=%{version}
%pyproject_wheel

%install
export PBR_VERSION=%{version}
%pyproject_install

%pyproject_save_files -l qstylizer

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Sat Oct 05 2024 Sandro <devel@penguinpee.nl> - 0.2.3-2
- Add Packit config

* Sat Oct 05 2024 Sandro <devel@penguinpee.nl> - 0.2.3-1
- Update to 0.2.3
- Drop patch (no longer required)

* Sat Oct 05 2024 Sandro <devel@penguinpee.nl> - 0.2.2-11
- Assert license file is present in dist-info

* Sat Oct 05 2024 Sandro <devel@penguinpee.nl> - 0.2.2-10
- Verify License: field is SPDX compliant

* Sat Oct 05 2024 Sandro <devel@penguinpee.nl> - 0.2.2-9
- Don't enumerate patches

* Sat Oct 05 2024 Sandro <devel@penguinpee.nl> - 0.2.2-8
- Remove obsolete steps, flags, etc.

* Sat Oct 05 2024 Sandro <devel@penguinpee.nl> - 0.2.2-7
- Update summary and description

* Sat Oct 05 2024 Sandro <devel@penguinpee.nl> - 0.2.2-6
- Use forge macros

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 12 2023 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.2.2-3
- Modify calling called_once_with which seems typo

* Sat Jul 01 2023 Python Maint <python-maint@redhat.com> - 0.2.2-2
- Rebuilt for Python 3.12

* Thu Apr 13 2023 Jonathan Wright <jonathan@almalinux.org> - 0.2.2-1
- Update to 0.2.2

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.2.0-5
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 30 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.2.0-2
- Use pyproject-rpm-macros
- Add readme  in doc

* Sun Jun 27 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.2.0-1
- Initial package.

## END: Generated by rpmautospec
